Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3741)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3742)
@@ -34,5 +34,5 @@
       <name>Meteroid</name>
       <movie>media/maya_orxonox_compressed.avi</movie>
-      <screenshoot>pictures/menu/ss_meteroid_512x512.png</screenshoot>
+      <screenshoot>pictures/menu/ss_meteorits_512x512.png</screenshoot>
       <menu-entry>1</menu-entry>
     </MovieLoader>
Index: data/trunk/worlds/HeightPark.oxw
===================================================================
--- data/trunk/worlds/HeightPark.oxw	(revision 3741)
+++ data/trunk/worlds/HeightPark.oxw	(revision 3742)
@@ -1,5 +1,5 @@
 <WorldDataFile>
   <name>HeightPark</name>
-
+  <screenshoot>pictures/menu/ss_heightpark_512x512.png</screenshoot>
   <LoadScreen>
     <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
@@ -17,22 +17,22 @@
 
 <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>5270,500,5250</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2665,400,2030</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2065,300,2030</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
@@ -40,78 +40,78 @@
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2405,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>2045,600,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>3405,600,3160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>3045,600,3190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>4605,600,4160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>6245,600,4190</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>7605,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>8245,600,2190</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>4205,600,4160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>6445,600,4190</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>7805,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
+          <weaponID>Turret</weaponID>
       <abs-coor>8445,600,2190</abs-coor>
     </WeaponPowerUp>