Index: /data/trunk/models/environments/desert.mtl
===================================================================
--- /data/trunk/models/environments/desert.mtl	(revision 3742)
+++ /data/trunk/models/environments/desert.mtl	(revision 3743)
@@ -1,26 +1,2 @@
-newmtl blinn1SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.56 0.56 0.56
-Tf 1.00 1.00 1.00
-map_Kd bricks_wood.jpg
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn2SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.44 0.44 0.44
-Tf 1.00 1.00 1.00
-map_Kd stucco.jpg
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn3SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.43 0.43 0.43
-Tf 1.00 1.00 1.00
-map_Kd wood_knorr.jpg
-Ni 1.00
-Ks 0.50 0.50 0.50
 newmtl blinn4SG
 illum 4
@@ -65,11 +41,4 @@
 map_Kd absperrung.jpg
 Ni 1.00
-newmtl lambert3SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 1.00 1.00 1.00
-Tf 1.00 1.00 1.00
-map_Kd helipad.png
-Ni 1.00
 newmtl lambert12SG
 illum 4
@@ -79,4 +48,104 @@
 map_Kd scratched_wall_1.jpg
 Ni 1.00
+newmtl lambert13SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.31 0.31 0.31
+Tf 1.00 1.00 1.00
+map_Kd beton.png
+Ni 1.00
+newmtl lambert16SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+newmtl lambert17SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd gras_128.jpg
+Ni 1.00
+newmtl lambert18SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd helipad.jpg
+Ni 1.00
+newmtl leckerkuchenhaus_blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn1SG1
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn1SG3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn2SG1
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn2SG3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn3SG1
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn3SG3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
 newmtl phong1SG
 illum 4
Index: /data/trunk/worlds/desert.oxw
===================================================================
--- /data/trunk/worlds/desert.oxw	(revision 3742)
+++ /data/trunk/worlds/desert.oxw	(revision 3743)
@@ -19,36 +19,49 @@
     <MD2Creature>
       <name>Player</name>
-      <abs-coor>-1447.054,-19.661,-437.681</abs-coor>
+      <abs-coor>-1447.054,-19.1,-413</abs-coor>
       <md2texture>droidika.png</md2texture>
-      <model>models/creatures/droidika.md2</model>
+      <model>models/creatures/droidika.md2,0.25</model>
+    </MD2Creature>
+
+    <MD2Creature>
+      <name>Player</name>
+      <abs-coor>7.180,-30.420,116.888</abs-coor>
+      <md2texture>droidika.png</md2texture>
+      <model>models/creatures/droidika.md2,0.25</model>
     </MD2Creature>
 
     <Helicopter>
       <name>Player</name>
-      <abs-coor>-1566.308, -19.661, -482.388</abs-coor>
+      <abs-coor>-1481, -18.7, -422</abs-coor>
     </Helicopter>
-    
     
     <SpaceShip>
       <name>Player2</name>
       <model>models/ships/reap_#.obj</model>
+      <abs-coor>-11.863, -30.102, 83.226</abs-coor>
+      <abs-dir> -1.5,0,1,0 </abs-dir>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player3</name>
+      <model>models/ships/reap_#.obj,5</model>
       <abs-coor>128, -42.102, -516.226</abs-coor>
     </SpaceShip>
 
     <SpaceShip>
-      <name>Player3</name>
-      <model>models/ships/mantawing.obj</model>
+      <name>Player4</name>
+      <model>models/ships/mantawing.obj,5</model>
       <abs-coor>172, -42.102, -500</abs-coor>
     </SpaceShip>
 
         <SpaceShip>
-      <name>Player4</name>
-      <model>models/ships/warcruiser.obj</model>
+      <name>Player5</name>
+      <model>models/ships/warcruiser.obj,5</model>
       <abs-coor>236 , -42.102, -499.946</abs-coor>
     </SpaceShip>
 
     <SpaceShip>
-      <name>Player5</name>
-      <model>models/ships/powerdrifter.obj</model>
+      <name>Player6</name>
+      <model>models/ships/powerdrifter.obj,5</model>
       <abs-coor>297 , -42.102, -485.334</abs-coor>
     </SpaceShip>
@@ -56,35 +69,36 @@
 
     <SpaceShip>
-      <name>Player6</name>
-      <model>models/ships/gobblin.obj</model>
+      <name>Player7</name>
+      <model>models/ships/gobblin.obj,5</model>
       <abs-coor>374, -42.102, -476.469</abs-coor>
     </SpaceShip>
 
         <SpaceShip>
-      <name>Player7</name>
-      <model>models/ships/fighter.obj</model>
+      <name>Player8</name>
+      <model>models/ships/fighter.obj,5</model>
       <abs-coor>435 , -42.102, -468</abs-coor>
     </SpaceShip>
 
-    <Hover>
-      <name>Player8</name>
-      <abs-coor>487.848,-42.102, -467</abs-coor>
-    </Hover>
+    <SpaceShip>
+      <name>Player3</name>
+      <model>models/ships/reap_#.obj,5</model>
+      <abs-coor>128, -42.102, -516.226</abs-coor>
+    </SpaceShip>
 
     <SpaceShip>
-      <name>Player9</name>
-      <model>models/ships/reap_#.obj</model>
+      <name>Player10</name>
+      <model>models/ships/reap_#.obj,5</model>
       <abs-coor>565, -42.102, -480</abs-coor>
     </SpaceShip>
 
     <SpaceShip>
-      <name>Player8</name>
-      <model>models/ships/mantawing.obj</model>
+      <name>Player11</name>
+      <model>models/ships/mantawing.obj,5</model>
       <abs-coor>662, -42, -480</abs-coor>
     </SpaceShip>
 
         <SpaceShip>
-      <name>Player9</name>
-      <model>models/ships/warcruiser.obj</model>
+      <name>Player12</name>
+      <model>models/ships/warcruiser.obj,5</model>
       <abs-coor>797, -42, -480</abs-coor>
     </SpaceShip>
Index: /data/trunk/worlds/vulcania.oxw
===================================================================
--- /data/trunk/worlds/vulcania.oxw	(revision 3742)
+++ /data/trunk/worlds/vulcania.oxw	(revision 3743)
@@ -1,4 +1,5 @@
 <WorldDataFile>
   <name>Vulcania</name>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
   <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
 
@@ -40,4 +41,5 @@
           <emission-velocity>700,400</emission-velocity>
           <rate>20</rate>
+          <type>cube</type>
           <size>40</size>;
           <rel-dir>1.51, 0,0,1</rel-dir>
@@ -105,9 +107,9 @@
       <Light>
        <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,500,50</abs-coor>
+       <abs-coor>100,100,50</abs-coor>
       </Light>
       <Light>
        <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,300,100</abs-coor>
+       <abs-coor>-100,0,100</abs-coor>
       </Light>
       <Light>