Index: /data/trunk/worlds/mp_arena.oxw
===================================================================
--- /data/trunk/worlds/mp_arena.oxw	(revision 3743)
+++ /data/trunk/worlds/mp_arena.oxw	(revision 3744)
@@ -13,9 +13,4 @@
   
   <WorldEntities>
-    <SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>10000</Size>
-    </SkyBox>
     
     <Building>
Index: /data/trunk/worlds/urban_city.oxw
===================================================================
--- /data/trunk/worlds/urban_city.oxw	(revision 3743)
+++ /data/trunk/worlds/urban_city.oxw	(revision 3744)
@@ -307,5 +307,4 @@
     </TestEntity>
 
-
    <TestEntity>
       <abs-coor>-510, 28.59, 5.92</abs-coor>
@@ -327,7 +326,95 @@
       <md2texture>walker.png</md2texture>
       <model>models/creatures/walker.md2, 2.0</model>
-      <md2animation>19</md2animation>
-    </TestEntity>
-
+      <md2animation>9</md2animation>
+    </TestEntity>
+
+
+    <TestEntity>
+      <abs-coor>-560, 28, 40</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>11</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-560, 28, 55</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>9</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-580, 28, 40</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-580, 28.0, 55</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>0</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-580, 28, 30</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-560, 28, 30</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>8</md2animation>
+    </TestEntity>
+
+
+
+    <TestEntity>
+      <abs-coor>-580, 32, -25</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>11</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-580, 32, -40</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>9</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-560, 32, -40</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-560, 32.0, -25</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>0</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-560, 32, -10</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-580, 32, -10</abs-coor>
+      <abs-dir>4.7,0,1,0</abs-dir>
+      <md2texture>kc_gf91_xm07a.png</md2texture>
+      <model>models/creatures/kc_gf91_xm07a.md2, 2.0</model>
+      <md2animation>8</md2animation>
+    </TestEntity>
 
 