Index: data/trunk/worlds/HeightPark.oxw
===================================================================
--- data/trunk/worlds/HeightPark.oxw	(revision 3746)
+++ data/trunk/worlds/HeightPark.oxw	(revision 3747)
@@ -1,5 +1,5 @@
 <WorldDataFile>
   <name>HeightPark</name>
-  <screenshoot>pictures/menu/ss_heightpark_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
@@ -17,101 +17,170 @@
 
 <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>5270,500,5250</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>2665,400,2030</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>2065,300,2030</abs-coor>
     </WeaponPowerUp>
-
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>2000,950,2000</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>max-health</type>
+      <value>100</value>
+      <abs-coor>2310,650,2310</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>2320,550,2320</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>2220,750,2220</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>max-health</type>
+      <value>100</value>
+      <abs-coor>2110,850,2110</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>2020,550,2020</abs-coor>
+    </ParamPowerUp>
+    <GroundTurret>
+      <abs-coor>2310,750,2310</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+    <GroundTurret>
+      <abs-coor>2310,750,2110</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+    <GroundTurret>
+      <abs-coor>2310,750,2010</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
+    </WeaponPowerUp>
+
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
       <abs-coor>2405,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>2045,600,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>3405,600,3160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>3045,600,3190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>4605,600,4160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>6245,600,4190</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>7605,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>8245,600,2190</abs-coor>
     </WeaponPowerUp>
  <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>4205,600,4160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>6445,600,4190</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>7805,600,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-          <weaponID>Turret</weaponID>
+	  <weaponID>Turret</weaponID>
       <abs-coor>8445,600,2190</abs-coor>
     </WeaponPowerUp>