Index: /data/trunk/worlds/DefaultWorld.oxw
===================================================================
--- /data/trunk/worlds/DefaultWorld.oxw	(revision 3748)
+++ /data/trunk/worlds/DefaultWorld.oxw	(revision 3749)
@@ -52,6 +52,6 @@
        <abs-coor>100,100,50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/HeightPark.oxw
===================================================================
--- /data/trunk/worlds/HeightPark.oxw	(revision 3748)
+++ /data/trunk/worlds/HeightPark.oxw	(revision 3749)
@@ -249,6 +249,6 @@
        <abs-coor>100,100,50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/MeteroidCinema.oxw
===================================================================
--- /data/trunk/worlds/MeteroidCinema.oxw	(revision 3748)
+++ /data/trunk/worlds/MeteroidCinema.oxw	(revision 3749)
@@ -154,6 +154,6 @@
        <abs-coor>100,200,50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/SimpleMenu.oxw
===================================================================
--- /data/trunk/worlds/SimpleMenu.oxw	(revision 3748)
+++ /data/trunk/worlds/SimpleMenu.oxw	(revision 3749)
@@ -69,6 +69,6 @@
        <abs-coor>5000,2000,-1000</abs-coor>
       </Light>
-      <ambient-color>1,1,.6</ambient-color>
     </Lights>
+    <ambient-color>1,1,.6</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/Straight.oxw
===================================================================
--- /data/trunk/worlds/Straight.oxw	(revision 3748)
+++ /data/trunk/worlds/Straight.oxw	(revision 3749)
@@ -96,6 +96,6 @@
        <abs-coor>100,100,50</abs-coor>
       </Light>
+    </Lights>
       <ambient-color>1,1,1</ambient-color>
-    </Lights>
   </LightManager>
   <Music>sound/music/00-luke_grey_-_hypermode.ogg</Music>
Index: /data/trunk/worlds/christmas.oxw
===================================================================
--- /data/trunk/worlds/christmas.oxw	(revision 3748)
+++ /data/trunk/worlds/christmas.oxw	(revision 3749)
@@ -163,6 +163,6 @@
        <abs-coor>100,100,50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/desert.oxw
===================================================================
--- /data/trunk/worlds/desert.oxw	(revision 3748)
+++ /data/trunk/worlds/desert.oxw	(revision 3749)
@@ -130,6 +130,6 @@
        <abs-coor>-79.264,-18.759,2.036</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/mp_arena.oxw
===================================================================
--- /data/trunk/worlds/mp_arena.oxw	(revision 3748)
+++ /data/trunk/worlds/mp_arena.oxw	(revision 3749)
@@ -54,6 +54,6 @@
         <abs-coor>-100,250,-50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/urban_city.oxw
===================================================================
--- /data/trunk/worlds/urban_city.oxw	(revision 3748)
+++ /data/trunk/worlds/urban_city.oxw	(revision 3749)
@@ -435,7 +435,6 @@
        <abs-coor>1900,800,500</abs-coor>
       </Light>
-
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
+    <ambient-color>1,1,1</ambient-color>
   </LightManager>
 
Index: /data/trunk/worlds/vulcania.oxw
===================================================================
--- /data/trunk/worlds/vulcania.oxw	(revision 3748)
+++ /data/trunk/worlds/vulcania.oxw	(revision 3749)
@@ -104,4 +104,5 @@
 
   <LightManager>
+    <ambient-color>1,1,1</ambient-color>
     <Lights>
       <Light>
@@ -117,5 +118,4 @@
        <abs-coor>-100,2000,50</abs-coor>
       </Light>
-      <ambient-color>1,1,1</ambient-color>
     </Lights>
   </LightManager>