Index: /orxonox/trunk/src/simple_animation.cc
===================================================================
--- /orxonox/trunk/src/simple_animation.cc	(revision 3754)
+++ /orxonox/trunk/src/simple_animation.cc	(revision 3755)
@@ -128,5 +128,5 @@
       anim->frames = new tList<KeyFrame>();
       anim->animMode = LOOP;
-      bRunning = false;
+      anim->bRunning = false;
       deltaT = 0.0;
       this->animators->add(anim);
@@ -189,5 +189,4 @@
 void SimpleAnimation::addKeyFrame(KeyFrame* frame)
 {
-  printf("SimpleAnimation::addKeyFrame() - adding frame\n");
   if( !this->bDescriptive || this->workingAnimator == NULL)
     {
@@ -197,5 +196,4 @@
   frame->object = this->workingAnimator->object;
   this->workingAnimator->frames->add(frame);
-  printf("SimpleAnimation::addKeyFrame() - addition completed\n");
 }
 
@@ -322,5 +320,5 @@
 	  while( anim->localTime > anim->currentFrame->time)
 	    {
-	      printf("SimpleAnimation::tick(...) - changing Frame\n");
+	      PRINTF(4)("SimpleAnimation::tick(...) - changing Frame\n");
 	      
 	      anim->localTime -= anim->currentFrame->time;
Index: /orxonox/trunk/src/world_entities/player.cc
===================================================================
--- /orxonox/trunk/src/world_entities/player.cc	(revision 3754)
+++ /orxonox/trunk/src/world_entities/player.cc	(revision 3755)
@@ -53,7 +53,9 @@
   acceleration = 10.0;
   //weapons:
-  Weapon* wp = new TestGun(this, new Vector(-2.6, 0.1, 3.0), new Quaternion());
-  this->weapons->add(wp);
-  this->activeWeapon = wp;  
+  Weapon* wpRight = new TestGun(this, new Vector(-2.6, 0.1, 3.0), new Quaternion(), 0);
+  Weapon* wpLeft = new TestGun(this, new Vector(-2.6, 0.1, -3.0), new Quaternion(), 1);
+  this->weapons->add(wpRight);
+  this->activeWeapon = wpRight;
+  this->activeWeaponL = wpLeft;
 }
 
@@ -150,4 +152,5 @@
 
   this->activeWeapon->draw();
+  this->activeWeaponL->draw();
 }
 
@@ -161,4 +164,5 @@
   /* link tick to weapon */
   this->activeWeapon->tick(time);
+  this->activeWeaponL->tick(time); //FIX FIX DELETE REMOVE
   // player controlled movement
   this->move(time);
@@ -206,6 +210,8 @@
   if( this->bFire)
     {
-      if(this->activeWeapon != NULL)
-	this->activeWeapon->fire();
+      //if(this->activeWeapon != NULL)
+      this->activeWeapon->fire();
+      //FIX THIS FIX FIIIIIIIIIIIX
+      this->activeWeaponL->fire();
     }
   if( this->bWeaponChange && this->weapons->getSize() > 1)
Index: /orxonox/trunk/src/world_entities/player.h
===================================================================
--- /orxonox/trunk/src/world_entities/player.h	(revision 3754)
+++ /orxonox/trunk/src/world_entities/player.h	(revision 3755)
@@ -48,4 +48,6 @@
   tList<Weapon>* weapons;//!< a list of weapon
   Weapon* activeWeapon;  //!< the weapon that is currenty activated
+  Weapon* activeWeaponL;  //temporary -- FIX THIS
+
   World* myWorld;        //!< reference to the world object
 
Index: /orxonox/trunk/src/world_entities/projectile.cc
===================================================================
--- /orxonox/trunk/src/world_entities/projectile.cc	(revision 3754)
+++ /orxonox/trunk/src/world_entities/projectile.cc	(revision 3755)
@@ -33,5 +33,4 @@
 Projectile::Projectile (Weapon* weapon) : WorldEntity()
 {
-  this->model = (Model*)ResourceManager::getInstance()->load("sphere", PRIM, RP_LEVEL);
   this->weapon = weapon;
   this->flightDirection = NULL;
Index: /orxonox/trunk/src/world_entities/test_bullet.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_bullet.cc	(revision 3754)
+++ /orxonox/trunk/src/world_entities/test_bullet.cc	(revision 3755)
@@ -32,5 +32,7 @@
 */
 TestBullet::TestBullet (Weapon* weapon) : Projectile(weapon)
-{}
+{
+  this->model = (Model*)ResourceManager::getInstance()->load("models/test_projectile.obj", OBJ, RP_LEVEL);
+}
 
 
@@ -94,4 +96,5 @@
   this->getAbsDir().matrix (matrix);
   glMultMatrixf((float*)matrix);  
+  glScalef(2.0, 2.0, 2.0);
   this->model->draw();
 
Index: /orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.cc	(revision 3754)
+++ /orxonox/trunk/src/world_entities/test_gun.cc	(revision 3755)
@@ -40,21 +40,31 @@
    creates a new weapon
 */
-TestGun::TestGun (PNode* parent, Vector* coordinate, Quaternion* direction) 
+TestGun::TestGun (PNode* parent, Vector* coordinate, Quaternion* direction, int leftRight) 
   :  Weapon (parent, coordinate, direction) 
 {
   this->model = (Model*)ResourceManager::getInstance()->load("models/test_gun.obj", OBJ, RP_CAMPAIGN);
   this->idleTime = 0.2f;
+  this->leftRight = leftRight;
 
   this->animator = SimpleAnimation::getInstance();
-  this->dummy = new WorldEntity(); /* a world entity that is not drawed: use this for the weapon */
-  parent->addChild(this->dummy, PNODE_ALL);
-  //this->dummy->setRelCoor(new Vector(-2.6, 0.1, 3.0));
+  this->dummy1 = new WorldEntity(); /* a world entity that is not drawed: use this for the weapon */
+  parent->addChild(this->dummy1, PNODE_ALL);
+
   
   this->animator->animatorBegin();
-  this->animator->selectObject(this->dummy);
+  this->animator->selectObject(this->dummy1);
   this->animator->setAnimationMode(SINGLE);
-  this->animator->addKeyFrame(new Vector(-2.6, 0.1, 3.0), new Quaternion(), 0.0, NEG_EXP);
-  this->animator->addKeyFrame(new Vector(-3.0, 0.1, 3.0), new Quaternion(), 0.1, NEG_EXP);
-  this->animator->addKeyFrame(new Vector(-2.6, 0.1, 3.0), new Quaternion(), 0.5, NEG_EXP);
+  if( this->leftRight == 0)
+    {
+      this->animator->addKeyFrame(new Vector(-2.6, 0.1, 3.0), new Quaternion(), 0.0, NEG_EXP);
+      this->animator->addKeyFrame(new Vector(-3.0, 0.1, 3.0), new Quaternion(), 0.1, NEG_EXP);
+      this->animator->addKeyFrame(new Vector(-2.6, 0.1, 3.0), new Quaternion(), 0.5, NEG_EXP);
+    }
+  else if( this->leftRight == 1)
+    {
+      this->animator->addKeyFrame(new Vector(-2.6, 0.1, -2.5), new Quaternion(), 0.0, NEG_EXP);
+      this->animator->addKeyFrame(new Vector(-3.0, 0.1, -2.5), new Quaternion(), 0.1, NEG_EXP);
+      this->animator->addKeyFrame(new Vector(-2.6, 0.1, -2.5), new Quaternion(), 0.5, NEG_EXP);
+    }
   this->animator->animatorEnd();
   
@@ -117,5 +127,5 @@
   
   this->animator->animatorBegin();
-  this->animator->selectObject(this->dummy);
+  this->animator->selectObject(this->dummy1);
   this->animator->start();
   this->animator->animatorEnd();
@@ -167,31 +177,46 @@
 {
   
+  /* draw gun body 1 */
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
   float matrix[4][4];
   
-  
-  glTranslatef (this->getAbsCoor ().x, 
-		this->getAbsCoor ().y, 
-		this->getAbsCoor ().z);
-  
-  this->getAbsDir ().matrix (matrix);
-  glMultMatrixf((float*)matrix);
-  this->model->draw(1);
+  if( this->leftRight == 0)
+    {
+      glTranslatef (this->getAbsCoor ().x, 
+		    this->getAbsCoor ().y, 
+		    this->getAbsCoor ().z);
+      
+      this->getAbsDir ().matrix (matrix);
+      glMultMatrixf((float*)matrix);
+      this->model->draw(1);
+    }
+  else if( this->leftRight == 1)
+    {
+      glTranslatef (this->getAbsCoor ().x, 
+		    this->getAbsCoor ().y, 
+		    this->getAbsCoor ().z);
+      
+      this->getAbsDir ().matrix (matrix);
+      glMultMatrixf((float*)matrix);
+      glScalef(1.0, 1.0, -1.0);
+      this->model->draw(1);
+    }
+
   glPopMatrix();
-  
-
+
+
+  /* draw gun coil 1 */
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
   
-  glTranslatef (this->dummy->getAbsCoor ().x, 
-		this->dummy->getAbsCoor ().y, 
-		this->dummy->getAbsCoor ().z);
-
-  this->dummy->getAbsDir ().matrix (matrix);
+  glTranslatef (this->dummy1->getAbsCoor ().x, 
+		this->dummy1->getAbsCoor ().y, 
+		this->dummy1->getAbsCoor ().z);
+
+  this->dummy1->getAbsDir ().matrix (matrix);
   glMultMatrixf((float*)matrix);
   this->model->draw(0);
   glPopMatrix();
-
-}
-
+}
+
Index: /orxonox/trunk/src/world_entities/test_gun.h
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.h	(revision 3754)
+++ /orxonox/trunk/src/world_entities/test_gun.h	(revision 3755)
@@ -37,5 +37,5 @@
 
  public:
-  TestGun (PNode* parent, Vector* coordinate, Quaternion* direction);
+  TestGun (PNode* parent, Vector* coordinate, Quaternion* direction, int leftRight);
   virtual ~TestGun ();
 
@@ -53,5 +53,6 @@
  private:
   SimpleAnimation* animator;
-  WorldEntity* dummy;
+  WorldEntity* dummy1;
+  int leftRight;   // this will become an enum
 
 };
Index: /orxonox/trunk/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/trunk/src/world_entities/world_entity.cc	(revision 3754)
+++ /orxonox/trunk/src/world_entities/world_entity.cc	(revision 3755)
@@ -41,5 +41,5 @@
   this->setClassName ("WorldEntity");
   this->bDraw = true;
-  this->model = NULL;
+  //this->model = NULL;
   //  collisioncluster = NULL;
 }