Index: /orxonox/branches/convention/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/convention/src/story_entities/world.cc	(revision 3758)
+++ /orxonox/branches/convention/src/story_entities/world.cc	(revision 3759)
@@ -1043,10 +1043,10 @@
   else if( !strcmp( cmd->cmd, "view5")) this->localCamera->setViewMode(VIEW_TOP);
 
-  else if( !strcmp( cmd->cmd, "function1")) printf("pressed h\n");
-  else if( !strcmp( cmd->cmd, "function2")) printf("pressed j\n");  
-  else if( !strcmp( cmd->cmd, "function3")) printf("pressed k\n"); 
-  else if( !strcmp( cmd->cmd, "function4")) printf("pressed l\n");  
-  else if( !strcmp( cmd->cmd, "function5")) printf("pressed n\n"); 
-  else if( !strcmp( cmd->cmd, "function6")) printf("pressed m\n");  
+  else if( !strcmp( cmd->cmd, "function1")) testMat->enable();
+  else if( !strcmp( cmd->cmd, "function2")) testMat->changeIllum();  
+  else if( !strcmp( cmd->cmd, "function3")) testMat->raiseAmbient(); 
+  else if( !strcmp( cmd->cmd, "function4")) testMat->randColor();
+  else if( !strcmp( cmd->cmd, "function5")) testMat->enableTexture(); 
+  else if( !strcmp( cmd->cmd, "function6")) testMat->raiseShiny();  
   
   return false;
Index: /orxonox/branches/convention/src/world_entities/test_mat.cc
===================================================================
--- /orxonox/branches/convention/src/world_entities/test_mat.cc	(revision 3758)
+++ /orxonox/branches/convention/src/world_entities/test_mat.cc	(revision 3759)
@@ -40,8 +40,8 @@
 	this->model4 = (Model*)ResourceManager::getInstance()->load("cone", PRIM, RP_LEVEL);
    */
-   this->model1 = new PrimitiveModel(SPHERE);
+   this->model1 = new PrimitiveModel(SPHERE, 2, 50);
    this->model2 = new PrimitiveModel(CUBE);
-   this->model3 = new PrimitiveModel(CONE);
-   this->model4 = new PrimitiveModel(CYLINDER);
+   this->model3 = new PrimitiveModel(CONE, 1, 50);
+   this->model4 = new PrimitiveModel(CYLINDER, 1, 50);
    this->mat1 = new Material();
    this->mat2 = new Material();
@@ -50,9 +50,61 @@
    
    this->enabled = false;
+   illum = 0;
+   shiny = 1.0;
+
+}
+
+void TestMat::changeIllum()
+{
+  illum++;
+  
+  if (illum >3)
+    illum = 0;
+
+  mat1->setIllum(illum);
+}
+
+void TestMat::raiseAmbient()
+{
+  this->ambient+=.1;
+  if (this->ambient > 1)
+    ambient = 0;
+  mat1->setAmbient(ambient,ambient,ambient);
+}
+
+void TestMat::raiseShiny()
+{
+  this->shiny *= 2.0;
+  if (this->shiny > 200)
+    shiny = 2;
+  printf("shiniess changed to %d\n", shiny);
+  mat1->setShininess(shiny);
+}
+
+void TestMat::randColor()
+{
+  mat1->setDiffuse((float)random()/(float)RAND_MAX,(float)random()/(float)RAND_MAX,(float)random()/(float)RAND_MAX);
+  mat1->setSpecular((float)random()/(float)RAND_MAX,(float)random()/(float)RAND_MAX,(float)random()/(float)RAND_MAX);
+}
+
+void TestMat::enableTexture()
+{
+  mat1->setDiffuseMap("../data/pictures/load_screen.jpg");
 }
 
 void TestMat::enable()
 {
-  this->enabled = true;
+  if (!enabled)
+    {
+      this->enabled = true;
+      
+      LightManager* tmpLM = LightManager::getInstance();
+      tmpLM->addLight();
+      tmpLM->setPosition(-50, 5, -3);
+      tmpLM->addLight();
+      tmpLM->setPosition(50, -10, 5);
+      glDisable(GL_LIGHT0);
+      
+    }
 }
 
@@ -72,17 +124,18 @@
     {
       glPushMatrix();
+      glTranslatef(0,-1,0);
       this->mat1->select();
       this->model1->draw();
       
       glTranslatef(0,0,2);
-      this->mat2->select();
+      //      this->mat2->select();
       this->model2->draw();
       
       glTranslatef(0,2,-2);
-      this->mat3->select();
+      //      this->mat3->select();
       this->model3->draw();
       
       glTranslatef(0,0,2);
-      this->mat4->select();
+      //      this->mat4->select();
       this->model4->draw();
       glPopMatrix();
Index: /orxonox/branches/convention/src/world_entities/test_mat.h
===================================================================
--- /orxonox/branches/convention/src/world_entities/test_mat.h	(revision 3758)
+++ /orxonox/branches/convention/src/world_entities/test_mat.h	(revision 3759)
@@ -31,4 +31,10 @@
 
   void enable();
+  void changeIllum();
+  void raiseAmbient();
+  void raiseShiny();
+  void randColor();
+  void enableTexture();
+
 
   virtual void draw();
@@ -40,5 +46,7 @@
   
   bool enabled;
-
+  int illum;
+  float ambient;
+  float shiny;
 };
 