Index: /data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- /data/trunk/worlds/DefaultCampaign.oxc	(revision 3761)
+++ /data/trunk/worlds/DefaultCampaign.oxc	(revision 3762)
@@ -14,7 +14,7 @@
     <SinglePlayerWorld>
       <identifier>1</identifier>
-      <name>Coder Island</name>
-      <path>worlds/coder_island.oxw</path>
       <nextid>2</nextid>
+      <name>Developer Island</name>
+      <path>worlds/developer_island.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
Index: /data/trunk/worlds/SimpleMenu.oxw
===================================================================
--- /data/trunk/worlds/SimpleMenu.oxw	(revision 3761)
+++ /data/trunk/worlds/SimpleMenu.oxw	(revision 3762)
@@ -91,11 +91,4 @@
   <Music>sound/music/menu1.ogg</Music>
 
-  <GameRule>
-    <MultiplayerTeamDeathmatch>
-      <max-kills>5</max-kills>
-      <death-penalty-timeout>5</death-penalty-timeout>
-      <death-screen-image>pictures/death_screen.png</death-screen-image>
-    </MultiplayerTeamDeathmatch>
-  </GameRule>
 
 </WorldDataFile>
Index: ta/trunk/worlds/coder_island.oxw
===================================================================
--- /data/trunk/worlds/coder_island.oxw	(revision 3761)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<WorldDataFile>
-
-  <name>Coder Island</name>
-  <screenshoot>pictures/load_screen_coder_island.jpg</screenshoot>
-
-  <LoadScreen>
-    <BackgroundImage>pictures/load_screen_coder_island.jpg</BackgroundImage>
-    <ElementCount>16</ElementCount>
-    <BackgroundPS>0,0,1.0,1</BackgroundPS>
-    <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
-  </LoadScreen>
-
-  <WorldEntities>
-    <SkyBox>
-      <name>Sky</name>
-      <Materialset>pictures/sky/desert</Materialset>
-      <Size>10000</Size>
-    </SkyBox>
-    <Terrain>
-      <name>HardCore</name>
-      <model>worlds/environ.obj</model>
-    </Terrain>
-
-   <SpaceShip>
-      <name>Player</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>0,0,0</abs-coor>
-    </SpaceShip>
-  </WorldEntities>
-
-
-  <LightManager>
-    <Lights>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,100,50</abs-coor>
-      </Light>
-    </Lights>
-    <ambient-color>1,1,1</ambient-color>
-  </LightManager>
-
-
-  <GameRules>
-    <SingleplayerShootemup>
-      <></>
-    </SingleplayerShootemup>
-  </GameRules>
-
-</WorldDataFile>
Index: /data/trunk/worlds/developer_island.oxw
===================================================================
--- /data/trunk/worlds/developer_island.oxw	(revision 3762)
+++ /data/trunk/worlds/developer_island.oxw	(revision 3762)
@@ -0,0 +1,59 @@
+<WorldDataFile>
+
+  <name>Developer Island</name>
+  <screenshoot>pictures/load_screen_coder_island.jpg</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen_coder_island.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+
+  <WorldEntities>
+    <SkyBox>
+      <name>Sky</name>
+      <Materialset>pictures/sky/desert</Materialset>
+      <Size>10000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/environ.obj</model>
+    </Terrain>
+
+   <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>0,0,0</abs-coor>
+    </SpaceShip>
+  </WorldEntities>
+
+
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
+
+  <GameRule>
+    <SingleplayerShootemup>
+      <MissionGoal>
+        <KillTarget>
+	  <title>Mindless Slaughter</title>
+	  <description>This is the first mission ever, created for Orxonox. Kill them! 
+	               Kill all those damn creatures!
+          </description>
+          <numberofkills>10</numberofkills>
+	  <targetclassid>9999</targetclassid>
+        </KillTarget>
+      </MissionGoal>
+    </SingleplayerShootemup>
+  </GameRule>
+
+</WorldDataFile>